Payouts

A payout is created when charges made through Vibrant are pending payout.

circle-info

Currently payouts from NETS (Dankort and BankAxept) are not visible in our platform due to lack of visibility from NETS.

Payouts are created according to the schedule defined in the your merchant contract, which typically is daily or weekly payouts.

The timing of payouts depends on the delay configured in the contracts. Depending on country, bank closing days and other variables, there can be a minimum requirement on the delay. In general a payout will take place three business days after a sale and would be written as T+3 (transactions day + 3 business days)

We currently only support net settlement payouts, meaning that all sales, refunds and fees are summed together to formt the net amount, which is the resulting payout amount.

circle-info

There are currently fees which is NET collected though payouts. We have several fees that are invoiced, which includes subscription fees and fees to other providers like MobilePay.

The payout holds a settlement Id, so it is easy to correlate all sale and refunds that are contained in a specific payout.

You can get payouts listed by time, fetched by id or search by attributes.

Here is an example getting the list:

curl -X 'GET' \
  'https://pos.dev-api.vibrant.app/pos/v1/payouts' \
  -H 'accept: application/json' \
  -H 'apikey: vibrant_pos.YOUR_SECRET_KEY'

Get a Payout by id

get
Authorizations
apikeystringRequired
Path parameters
idstringRequired
Responses
chevron-right
200Success
application/json
idstringRequired

Unique id of the Payout

Default: po_2froTe3Wd8W3aSn1hX4vzE
objectstringRequired

Object type

Default: payout
accountIdstringRequired

Id of the account

Default: acct_1LqEqnFYPs6vK4Hr
amountnumberRequired

Amount in cents

Default: 2000
arrivalDatenumberRequired

UnixtimeStamp when the Payout arrives to merchant

Default: 1671087901251
balanceTransactionIdstringRequired

ID of the balance transaction that describes the impact of this Payout on your account balance

Default: null
automaticbooleanRequired

Created automatically or manually

Default: true
currencystringRequired

Currency this Payout was created with

Default: DKK
descriptionstringRequired

A custom description can be added to a payout

Default:
destinationstringRequired

ID of the bank account or card the payout was sent to.

Default: 123
failureBalance_transactionstringRequired

If the payout failed or was canceled, this will be the ID of the balance transaction that reversed the initial balance transaction, and puts the funds from the failed payout back in your balance.

Default: 123
failureCodestringRequired

Error code explaining reason for payout failure if available.

Default: ""
failureMessagestringRequired

Message explaining reason for payout failure if available.

Default: ""
metadataobjectRequired

Custom data provided when this payout was created

Default: {"correlation_id: "abc123"}
methodstringRequired

Standard or instant.

Default: ""
originalPayoutstringRequired

If the payout reverses another, this is the ID of the original payout.

Default: ""
reconciliationStatusstringRequired

not_applicable, in_progress or completed.

Default: ""
reversedBystringRequired

If the payout was reversed, this is the ID of the payout that reverses this payout.

Default: ""
sourceTypestringRequired

The source balance this payout came from. One of card, or bank_account.

Default: ""
statementDescriptorstringRequired

Extra information about a payout to be displayed on the user’s bank statement.

Default: ""
statusstringRequired

Current status of the payout: paid, pending, in_transit, canceled or failed. A payout is pending until it is submitted to the bank, when it becomes in_transit. The status then changes to paid if the transaction goes through, or to failed or canceled (within 5 business days). Some failed payouts may initially show as paid but then change to failed.

Default: ""
typestringRequired

Can be bank_account or card.

Default: ""
get
/pos/v1/payouts/{id}

Last updated